import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Booking } from './booking.entity';

@Entity('booking_approval')
export class BookingApproval extends BaseEntity {
  @ManyToOne(() => Booking, (booking) => booking.id)
  booking: Booking;

  @Column({ default: 'Pending' })
  status: string;

  @Column({ type: 'timestamp', nullable: true })
  approved_at: Date;
}
