import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Companion } from './companion.entity';
import { Customer } from './customer.entity';

@Entity('bookings')
export class Booking extends BaseEntity {
  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @Column({ type: 'timestamp' })
  booking_date: Date;

  @Column({ type: 'float' })
  price: number;

  @Column({ default: 'Pending' })
  status: string;
}
