import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Companion } from './companion.entity';
import { Customer } from './customer.entity';

@Entity('companion_visits')
export class CompanionVisit extends BaseEntity {
  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @Column({ type: 'timestamp' })
  visit_date: Date;

  @Column({ type: 'float' })
  price: number;
}
