import { Entity, Column, ManyToOne, OneToMany } from 'typeorm';
import { User } from './user.entity';
import { BaseEntity } from './base.entity';
import { CompanionGallery } from './companion-gallery.entity';
import { CompanionVisit } from './companion-visit.entity';

@Entity('companions')
export class Companion extends BaseEntity {
  @ManyToOne(() => User, (user) => user.id, { onDelete: 'CASCADE' })
  user: User;
  
  @OneToMany(() => CompanionGallery, (gallery) => gallery.id)
  galleries: CompanionGallery[];

  @OneToMany(() => CompanionVisit, (visit) => visit.id)
  visits: CompanionVisit[];

  @Column({ nullable: true })
  bio: string;

  @Column({ type: 'float', default: 0 })
  rating: number;

  @Column({ nullable: true })
  profile_picture: string;

  @Column({ default: 'Pending' })
  verification_status: string;

  @Column({ default: false })
  verified: boolean;

  @Column({ default: false })
  approved: boolean;
}
