import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Customer } from './customer.entity';
import { Companion } from './companion.entity';

@Entity('interaction_reports')
export class InteractionReport extends BaseEntity {
  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @ManyToOne(() => Companion, (companion) => companion.id)
  companion: Companion;

  @Column({ type: 'text' })
  report_details: string;

  @Column({ default: 'Pending' })
  status: string;
}
