import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { User } from './user.entity';

@Entity('login_history')
export class LoginHistory extends BaseEntity {
  @ManyToOne(() => User, (user) => user.id)
  user: User;

  @Column({ type: 'timestamp' })
  login_at: Date;

  @Column({ nullable: true })
  logout_at: Date;

  @Column({ default: false })
  successful: boolean;
}
