import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Customer } from './customer.entity';

@Entity('token_transactions')
export class TokenTransaction extends BaseEntity {
  @ManyToOne(() => Customer, (customer) => customer.id)
  customer: Customer;

  @Column({ type: 'float' })
  tokens: number;

  @Column()
  transaction_type: string;

  @Column({ type: 'timestamp' })
  transaction_date: Date;
}
