import { Entity, Column, OneToMany } from 'typeorm';
import { BaseEntity } from './base.entity';
import { LoginHistory } from './login-history.entity';

@Entity('users')
export class User extends BaseEntity {
  @Column()
  email: string;

  @Column()
  password: string;
  
  @Column({ nullable: true })
  phone_number: string;

  @OneToMany(() => LoginHistory, (loginHistory) => loginHistory.user)
  login_histories: LoginHistory[];

  @Column({ default: false })
  is_approved: boolean;

  @Column({ default: false })
  is_banned: boolean;

  @Column({ default: false })
  verified: boolean;

  @Column()
  role: string;
}
